MAL-2023-260

See a problem?
Import Source
https://github.com/ossf/malicious-packages/blob/main/osv/malicious/npm/discount-pwa/MAL-2023-260.json
JSON Data
https://api.osv.dev/v1/vulns/MAL-2023-260
Aliases
  • GHSA-r3gj-fvw7-mg3g
Published
2023-06-09T00:00:00Z
Modified
2023-11-08T04:22:32.103862Z
Summary
Malicious code in discount-pwa (npm)
Details

-= Per source details. Do not edit below this line.=-

Source: checkmarx (b62bcefcaea2db2548388a227a4b29129aec31ac8138d04b9763fbd8e5bb54ac)

Malicious packages campaign since 2021 targeting developers, steals source code and secrets

Source: ghsa-malware (1c52a94b881988cf4c256615d1c0b60af4ddc5709828f6f21ccfc2dce0ab4779)

Any computer that has this package installed or running should be considered fully compromised. All secrets and keys stored on that computer should be rotated immediately from a different computer. The package should be removed, but as full control of the computer may have been given to an outside entity, there is no guarantee that removing the package will remove all malicious software resulting from installing it.

References
Credits

Affected packages

npm / discount-pwa

Package

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected

Database specific

{
    "cwes": [
        {
            "description": "The product contains code that appears to be malicious in nature.",
            "cweId": "CWE-506",
            "name": "Embedded Malicious Code"
        }
    ]
}